class SceneVariable {
public:
	SceneVariable( char* name, char* value );
	~SceneVariable();
	char* getChars() { return( templateChars ); }
	void setChars( char* chars );
	char* getName() { return( templateName ); }
protected:
	char* variablePointer;
	char* templateName;
	char* templateChars;
};

class SceneTemplate : public SceneVariable {
public:
	SceneTemplate( char* name );
	virtual ~SceneTemplate();
	void addLine( char* line );
	char* mergeChars( char* chars );
	char* mergeVariable( char* variableName, char* variableValue );
	void scanVariables();
	char* getNextVariable();
private:
	unsigned int sceneTemplateLength;
	char* mergedData;
};


class SceneTemplateManager {
public:
	SceneTemplateManager();
	SceneTemplate* addTemplate( char* name );
	SceneVariable* addVariable( char* name, char* value );
	void addLine( char* line );
	char* getTemplateChars( char* name );
	SceneTemplate* getTemplate( char* name );
	SceneVariable* getVariable( char* name );
private:
	SceneVariable* templateList[200];
	int templateIdx;
};

